%define name    libdvdcss2
%define version 1.2.13
%define release 1

Name:           %{name}
Summary:        Library for accessing DVDs like block device usind deCSS if needed
Summary(de):    Bibliothek zum Zugriff auf DVDs mit deCSS-Entschlüsselung, falls benötigt
Summary(fi):    DVD-aseman käsittelyyn tarkoitettu ohjelmointikirjasto (Sisältää DeCSS ominaisuuden)
Version:        %{version}
Release:        7.1
License:        GPL
URL:            http://www.videolan.org/libdvdcss/
Group:          System/Libraries

Source0:        libdvdcss-%{version}.tar.bz2

NoSource:       0
BuildRoot:      %_tmppath/%name-%version-%release-root
Conflicts:      libdvdcss0.0.1, libdvdcss0.0.2
Provides:       libdvdcss = %version-%release
BuildRequires:	gcc-c++

%description
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.

%description -l de
Die libdvdcss ist eine einfache Bibliothek, entwickelt um auf DVDs wie auf
Blockdevices zuzugreifen, ohne sich über die Verschlüsselung gedanken machen
zu mpssen. Die wichtigsten Features sind:
 * Portabilität. Augenblicklich werden folgende Plattformen unterstützt:
   GNU/Linux, FreeBSD, NetBSD, OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows
   NT/2000, MacOS X, Solaris und HP-UX.
 * Einfachheit. Es gibt augenblicklich 7 Funktionen in der API und die
   Entwickler sind bestrebt, die Zahl niedrig zu halten.
 * Freiheit. Die libdvdcss steht unter der General Public License, demzufolge
   wird es frei bleiben und nur für freie Softwareprojekte eingesetzt.
 * Einfach besser. Im Gegensatz zu anderen Projekten dieser art benötigt
   libdvdcss den Region-Code des DVD-Laufwerks nicht.

%description -l fi
libdvdcss on yksinkertainen ohjelmointikirjasto, jonka tarkoitus on tarjota
DVD-aseman käsittelyyn helppo rajanpinta. libdvdcss käyttäjän ei tarvitse myöskään
välittää CSS:stä vaan libdvdcss hoitaa sen automaattisesti.
Tärkeimmät ominaisuudet ovat:
 * Koodin siirrettävyys eri käyttöjärjestelmien välillä.
   Tuettuja tällä hetkellä:
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   ja HP-UX.
 * Helppous. Kirjastossa on vain 7 funktiota ohjelmointirajapinnassa.
 * Vapaus. Koodi on julkaistu General Public Lisenssin alaisena
 * Toisin kuin monet DVD-purkukirjastot libdvdcss ei tarvitse aluekoodia

%package devel
Summary:        Development tools for programs which will use the libdvdcss library
Summary(de):    Entwicklungstools für Programme die die libdvdcss Bibliothek nutzen
Summary(fi):    DVD-soittimen käsittelyyn tarkoitettu ohjelmointi kirjasto (Sisältää DeCSS ominaisuuden)
Group:          Development/C
Requires:       %{name} = %version-%release
Provides:       libdvdcss-devel = %version-%release

%description devel
The libdvdcss-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the libdvdcss library.

If you are going to develop programs which will manipulate DVDs, you
should install libdvdcss-devel.  You'll also need to have the libdvdcss
package installed.

%description devel -l de
Das libdvdcss-devel Packet enthelt Header-Files und statisch gelinkte
Bibliotheken die zur Entwicklung eigener Programme benötigt werden, die
auf DVDs mit Hilfe der libdvdcss zugreifen wollen.

Wenn Sie Programme entwicklen wollen, die auf DVDs zugreifen sollen,
sollten sie libdvdcss-devel installieren. Es wird ebenso die libdvdcss
benötigt.

%description devel -l fi
Paketti sisältää header-tiedostot sekä staattiset kirjastot, jotka ovat
tarpeellisia ohjelmien kehittämisen kannalta.
Jos aiot kehittää ohjelman joka käyttää libdvdcss sinun tulee asentaa nämä
tiedostot.

%prep
%setup -q -n libdvdcss-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
%__make

%install
[ "${buildroot}" != "/" ] && [ -d ${buildroot} ] && rm -rf ${buildroot};
%makeinstall
cd %{buildroot}%{_libdir}
%{__ln_s} libdvdcss.so.2 libdvdcss.so.1
rm -rf %{buildroot}/usr/share/doc/libdvdcss

%clean
[ "${buildroot}" != "/" ] && [ -d ${buildroot} ] && rm -rf ${buildroot};

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdvdcss.pc
%{_includedir}/*

%changelog
* Sun Mar  2 2014 cs@linux-administrator.com
- update to release 1.2.13
